$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-171e4fafed5d08a723e1256dd6a58047c78f720b/rpcs3-v0.0.11-10625-171e4faf_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'a440735a0f3549b9803ca80bd228cf51f3966608d9fb194f879fb6319c7e61a4'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
